XdkWrl: Traverser Class Reference

Home | Hierarchy | Members | Alphabetical | Related Pages

# Traverser Class Reference
[Tools]

`#include <traverser.h>`

List of all members.

## Public Member Functions
void | operator() (wrl::Node *node)
virtual | ~Traverser ()
## Protected Member Functions
virtual void | treat (Anchor *)
virtual void | treat (Appearance *)
virtual void | treat (AudioClip *)
virtual void | treat (Background *)
virtual void | treat (Billboard *)
virtual void | treat (Box *)
virtual void | treat (Collision *)
virtual void | treat (Color *)
virtual void | treat (ColorInterpolator *)
virtual void | treat (Cone *)
virtual void | treat (Contour2D *)
virtual void | treat (Coordinate *)
virtual void | treat (CoordinateDeformer *)
virtual void | treat (CoordinateInterpolator *)
virtual void | treat (Cylinder *)
virtual void | treat (CylinderSensor *)
virtual void | treat (DirectionalLight *)
virtual void | treat (ElevationGrid *)
virtual void | treat (Extrusion *)
virtual void | treat (Fog *)
virtual void | treat (FontStyle *)
virtual void | treat (GeoCoordinate *)
virtual void | treat (GeoElevationGrid *)
virtual void | treat (GeoLOD *)
virtual void | treat (GeoLocation *)
virtual void | treat (GeoMetadata *)
virtual void | treat (GeoOrigin *)
virtual void | treat (GeoPositionInterpolator *)
virtual void | treat (GeoTouchSensor *)
virtual void | treat (GeoViewpoint *)
virtual void | treat (Group *)
virtual void | treat (ImageTexture *)
virtual void | treat (IndexedFaceSet *)
virtual void | treat (IndexedLineSet *)
virtual void | treat (Inline *)
virtual void | treat (InlineLoadControl *)
virtual void | treat (LOD *)
virtual void | treat (Material *)
virtual void | treat (MovieTexture *)
virtual void | treat (NavigationInfo *)
virtual void | treat (Normal *)
virtual void | treat (NormalInterpolator *)
virtual void | treat (NurbsCurve *)
virtual void | treat (NurbsCurve2D *)
virtual void | treat (NurbsGroup *)
virtual void | treat (NurbsPositionInterpolator *)
virtual void | treat (NurbsSurface *)
virtual void | treat (NurbsTextureSurface *)
virtual void | treat (OrientationInterpolator *)
virtual void | treat (PixelTexture *)
virtual void | treat (PlaneSensor *)
virtual void | treat (PointLight *)
virtual void | treat (PointSet *)
virtual void | treat (Polyline2D *)
virtual void | treat (PositionInterpolator *)
virtual void | treat (ProximitySensor *)
virtual void | treat (ScalarInterpolator *)
virtual void | treat (Shape *)
virtual void | treat (Sound *)
virtual void | treat (Sphere *)
virtual void | treat (SphereSensor *)
virtual void | treat (SpotLight *)
virtual void | treat (Switch *)
virtual void | treat (Text *)
virtual void | treat (TextureCoordinate *)
virtual void | treat (TextureTransform *)
virtual void | treat (TimeSensor *)
virtual void | treat (TouchSensor *)
virtual void | treat (Transform *)
virtual void | treat (TrimmedSurface *)
virtual void | treat (Viewpoint *)
virtual void | treat (VisibilitySensor *)
virtual void | treat (WorldInfo *)
const TransformatorHierarchy & | transformHierarchy () const
TransformatorHierarchy & | transformHierarchy ()

## Constructor & Destructor Documentation

virtual ~Traverser | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void operator() | ( | wrl::Node * | node | ) |

void treat | ( | Anchor * |  | ) | `[protected, virtual]`

void treat | ( | Appearance * |  | ) | `[protected, virtual]`

void treat | ( | AudioClip * |  | ) | `[protected, virtual]`

void treat | ( | Background * |  | ) | `[protected, virtual]`

void treat | ( | Billboard * |  | ) | `[protected, virtual]`

void treat | ( | Box * |  | ) | `[protected, virtual]`

void treat | ( | Collision * |  | ) | `[protected, virtual]`

void treat | ( | Color * |  | ) | `[protected, virtual]`

void treat | ( | ColorInterpolator * |  | ) | `[protected, virtual]`

void treat | ( | Cone * |  | ) | `[protected, virtual]`

void treat | ( | Contour2D * |  | ) | `[protected, virtual]`

void treat | ( | Coordinate * |  | ) | `[protected, virtual]`

void treat | ( | CoordinateDeformer * |  | ) | `[protected, virtual]`

void treat | ( | CoordinateInterpolator * |  | ) | `[protected, virtual]`

void treat | ( | Cylinder * |  | ) | `[protected, virtual]`

void treat | ( | CylinderSensor * |  | ) | `[protected, virtual]`

void treat | ( | DirectionalLight * |  | ) | `[protected, virtual]`

void treat | ( | ElevationGrid * |  | ) | `[protected, virtual]`

void treat | ( | Extrusion * |  | ) | `[protected, virtual]`

void treat | ( | Fog * |  | ) | `[protected, virtual]`

void treat | ( | FontStyle * |  | ) | `[protected, virtual]`

void treat | ( | GeoCoordinate * |  | ) | `[protected, virtual]`

void treat | ( | GeoElevationGrid * |  | ) | `[protected, virtual]`

void treat | ( | GeoLOD * |  | ) | `[protected, virtual]`

void treat | ( | GeoLocation * |  | ) | `[protected, virtual]`

void treat | ( | GeoMetadata * |  | ) | `[protected, virtual]`

void treat | ( | GeoOrigin * |  | ) | `[protected, virtual]`

void treat | ( | GeoPositionInterpolator * |  | ) | `[protected, virtual]`

void treat | ( | GeoTouchSensor * |  | ) | `[protected, virtual]`

void treat | ( | GeoViewpoint * |  | ) | `[protected, virtual]`

void treat | ( | Group * |  | ) | `[protected, virtual]`

void treat | ( | ImageTexture * |  | ) | `[protected, virtual]`

void treat | ( | IndexedFaceSet * |  | ) | `[protected, virtual]`

void treat | ( | IndexedLineSet * |  | ) | `[protected, virtual]`

void treat | ( | Inline * |  | ) | `[protected, virtual]`

void treat | ( | InlineLoadControl * |  | ) | `[protected, virtual]`

void treat | ( | LOD * |  | ) | `[protected, virtual]`

void treat | ( | Material * |  | ) | `[protected, virtual]`

void treat | ( | MovieTexture * |  | ) | `[protected, virtual]`

void treat | ( | NavigationInfo * |  | ) | `[protected, virtual]`

void treat | ( | Normal * |  | ) | `[protected, virtual]`

void treat | ( | NormalInterpolator * |  | ) | `[protected, virtual]`

void treat | ( | NurbsCurve * |  | ) | `[protected, virtual]`

void treat | ( | NurbsCurve2D * |  | ) | `[protected, virtual]`

void treat | ( | NurbsGroup * |  | ) | `[protected, virtual]`

void treat | ( | NurbsPositionInterpolator * |  | ) | `[protected, virtual]`

void treat | ( | NurbsSurface * |  | ) | `[protected, virtual]`

void treat | ( | NurbsTextureSurface * |  | ) | `[protected, virtual]`

void treat | ( | OrientationInterpolator * |  | ) | `[protected, virtual]`

void treat | ( | PixelTexture * |  | ) | `[protected, virtual]`

void treat | ( | PlaneSensor * |  | ) | `[protected, virtual]`

void treat | ( | PointLight * |  | ) | `[protected, virtual]`

void treat | ( | PointSet * |  | ) | `[protected, virtual]`

void treat | ( | Polyline2D * |  | ) | `[protected, virtual]`

void treat | ( | PositionInterpolator * |  | ) | `[protected, virtual]`

void treat | ( | ProximitySensor * |  | ) | `[protected, virtual]`

void treat | ( | ScalarInterpolator * |  | ) | `[protected, virtual]`

void treat | ( | Shape * |  | ) | `[protected, virtual]`

void treat | ( | Sound * |  | ) | `[protected, virtual]`

void treat | ( | Sphere * |  | ) | `[protected, virtual]`

void treat | ( | SphereSensor * |  | ) | `[protected, virtual]`

void treat | ( | SpotLight * |  | ) | `[protected, virtual]`

void treat | ( | Switch * |  | ) | `[protected, virtual]`

void treat | ( | Text * |  | ) | `[protected, virtual]`

void treat | ( | TextureCoordinate * |  | ) | `[protected, virtual]`

void treat | ( | TextureTransform * |  | ) | `[protected, virtual]`

void treat | ( | TimeSensor * |  | ) | `[protected, virtual]`

void treat | ( | TouchSensor * |  | ) | `[protected, virtual]`

void treat | ( | Transform * |  | ) | `[protected, virtual]`

void treat | ( | TrimmedSurface * |  | ) | `[protected, virtual]`

void treat | ( | Viewpoint * |  | ) | `[protected, virtual]`

void treat | ( | VisibilitySensor * |  | ) | `[protected, virtual]`

void treat | ( | WorldInfo * |  | ) | `[protected, virtual]`

const TransformatorHierarchy & transformHierarchy | ( |  | ) | const`[inline, protected]`

TransformatorHierarchy & transformHierarchy | ( |  | ) | `[inline, protected]`

Generated on 5 Jan 2007 with version 1.5.1. |